org.apache.ignite.internal.processors.rest

## Interface IgniteRestProcessor

All Superinterfaces:
  GridComponent, GridProcessor

All Known Implementing Classes:
  GridRestProcessor

    public interface IgniteRestProcessor
    extends GridProcessor

REST processor marker interface.

See Also:
  `GridRestProcessor`

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.ignite.internal.GridComponent

`GridComponent.DiscoveryDataExchangeType`

### Method Summary

### Methods inherited from interface org.apache.ignite.internal.GridComponent

`collectGridNodeData, collectJoiningNodeData, discoveryDataType, onDisconnected, onGridDataReceived, onJoiningNodeDataReceived, onKernalStart, onKernalStop, onReconnected, printMemoryStats, start, stop, validateNode, validateNode`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020